Node('cfg/stick/hvolt_long.cfg',
     'high voltage stick (extended can)',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'stick sea connection for hvolt_long.stick',
    config='hvolt_long.stick',
    service='stick',
)

Mod('ts',
    'frappy_psi.sea.SeaReadable', '',
    meaning=['temperature', 30],
    io='sea_stick',
    sea_object='tt',
    json_file='ma6.config.json',
    rel_paths=['ts_2'],
)

Mod('ts_reg',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='tt',
    json_file='ma6.config.json',
    rel_paths=['ts'],
)

Mod('hcp',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='hcp',
)

Mod('v',
    'frappy_psi.parmod.Driv',
    'drivable voltage',
    read='hcp.value',
    write='hcp.set',
    unit='V',
)
